org.richfaces.renderkit.html.images

## Class ArrowBase

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.images.ArrowBase

- All Implemented Interfaces:
    Java2DUserResource, StateHolderResource
  Direct Known Subclasses:
    SliderArrowBase, SpinnerArrowBase

      public abstract class ArrowBase
      extends AbstractJava2DUserResource
      implements StateHolderResource

  Author:
    Konstantin Mishin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrowBase(Dimension dimension)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D graphics2d)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `setColorParam(String colorParam)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrowBase

          public ArrowBase(Dimension dimension)

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### setColorParam

          public void setColorParam(String colorParam)

    - #### paint

          public void paint(Graphics2D graphics2d)

      Specified by:
        `paint` in interface `Java2DUserResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                                 DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                                DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.